# podravkaio

Podravkaio - JavaScript client for podravkaio
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.1
- Package version: 0.0.1
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install podravkaio --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your podravkaio from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('podravkaio')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/GIT_USER_ID/GIT_REPO_ID
then install it via:

```shell
    npm install GIT_USER_ID/GIT_REPO_ID --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var Podravkaio = require('podravkaio');

var defaultClient = Podravkaio.ApiClient.instance;

// Configure OAuth2 access token for authorization: oauth
var oauth = defaultClient.authentications['oauth'];
oauth.accessToken = "YOUR ACCESS TOKEN"

var api = new Podravkaio.ImageApi()

var id = "id_example"; // {String} 


var callback = function(error, data, response) {
  if (error) {
    console.error(error);
  } else {
    console.log('API called successfully.');
  }
};
api.deleteImageItem(id, callback);

```

## Documentation for API Endpoints

All URIs are relative to *http://127.0.0.1:8000*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*Podravkaio.ImageApi* | [**deleteImageItem**](docs/ImageApi.md#deleteImageItem) | **DELETE** /api/images/{id} | Removes the Image resource.
*Podravkaio.ImageApi* | [**getImageCollection**](docs/ImageApi.md#getImageCollection) | **GET** /api/images | Retrieves the collection of Image resources.
*Podravkaio.ImageApi* | [**getImageItem**](docs/ImageApi.md#getImageItem) | **GET** /api/images/{id} | Retrieves a Image resource.
*Podravkaio.ImageApi* | [**postImageCollection**](docs/ImageApi.md#postImageCollection) | **POST** /api/images | Creates a Image resource.
*Podravkaio.ImageApi* | [**putImageItem**](docs/ImageApi.md#putImageItem) | **PUT** /api/images/{id} | Replaces the Image resource.


## Documentation for Models

 - [Podravkaio.ImageImageCreate](docs/ImageImageCreate.md)
 - [Podravkaio.ImageImageCreateReadRead](docs/ImageImageCreateReadRead.md)
 - [Podravkaio.ImageImageListList](docs/ImageImageListList.md)
 - [Podravkaio.ImageImageReadRead](docs/ImageImageReadRead.md)
 - [Podravkaio.ImageImageUpdate](docs/ImageImageUpdate.md)
 - [Podravkaio.ImageImageUpdateReadUpdateReadRead](docs/ImageImageUpdateReadUpdateReadRead.md)
 - [Podravkaio.ImageInstanceImageRead](docs/ImageInstanceImageRead.md)
 - [Podravkaio.ImageOriginImageCreate](docs/ImageOriginImageCreate.md)
 - [Podravkaio.ImageVariationImageRead](docs/ImageVariationImageRead.md)
 - [Podravkaio.ImageVariationUrlVarsImageRead](docs/ImageVariationUrlVarsImageRead.md)
 - [Podravkaio.UserImageCreateReadReadList](docs/UserImageCreateReadReadList.md)


## Documentation for Authorization


### oauth

- **Type**: OAuth
- **Flow**: accessCode
- **Authorization URL**: oauth/v2/auth
- **Scopes**: N/A

